summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Emmanuel N. Millán <emmanueln@gmail.com>2015-08-21 23:41:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-21 23:41:10 +0700
commita6ca00e5c49a293858bf9e520cdf96b6eb1d176d (patch)
tree9c154d3b3790f2120919321eb169f69d41169542 /system
parent25afeda39378118c956bd4defc80215051597872 (diff)
downloadslackbuilds-a6ca00e5c49a293858bf9e520cdf96b6eb1d176d.tar.gz
slackbuilds-a6ca00e5c49a293858bf9e520cdf96b6eb1d176d.tar.xz
system/modules: Added (modification of a user's environment).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/modules/README9
-rw-r--r--system/modules/modules.SlackBuild103
-rw-r--r--system/modules/modules.info10
-rw-r--r--system/modules/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/system/modules/README b/system/modules/README
new file mode 100644
index 0000000000..4d2fe0c65e
--- /dev/null
+++ b/system/modules/README
@@ -0,0 +1,9 @@
+The Environment Modules package provides for the dynamic modification of a user's environment via modulefiles.
+
+Each modulefile contains the information needed to configure the shell for an application.
+Once the Modules package is initialized, the environment can be modified on a per-module basis
+using the module command which interprets modulefiles. Typically modulefiles instruct the module command to
+alter or set shell environment variables such as PATH, MANPATH, etc. modulefiles may be shared by many users
+on a system and users may have their own collection to supplement or replace the shared modulefiles.
+Modules are useful in managing different versions of applications. Modules can also be bundled into
+metamodules that will load an entire suite of different applications.
diff --git a/system/modules/modules.SlackBuild b/system/modules/modules.SlackBuild
new file mode 100644
index 0000000000..67e7710075
--- /dev/null
+++ b/system/modules/modules.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+#
+# Slackware build script for Modules
+#
+# Copyright 2015 Emmanuel N. Millán, Mendoza, Argentina.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=modules
+VERSION=${VERSION:-3.2.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCS="ChangeLog INSTALL LICENSE.GPL NEWS README"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS -DUSE_INTERP_ERRORLINE" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr/share \
+ --mandir=/usr/man/ \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/profile.d/
+cp $PKG/usr/share/Modules/$VERSION/init/bash $PKG/etc/profile.d/modules.sh
+cp $PKG/usr/share/Modules/$VERSION/init/csh $PKG/etc/profile.d/modules.csh
+cp $PKG/usr/share/Modules/$VERSION/init/zsh $PKG/etc/profile.d/modules.zsh
+chmod a+x $PKG/etc/profile.d/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/modules/modules.info b/system/modules/modules.info
new file mode 100644
index 0000000000..7c38f773d9
--- /dev/null
+++ b/system/modules/modules.info
@@ -0,0 +1,10 @@
+PRGNAM="modules"
+VERSION="3.2.10"
+HOMEPAGE="http://modules.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/modules/Modules/modules-3.2.10/modules-3.2.10.tar.bz2"
+MD5SUM="7db43a0e272574219d68bd2a2683f25f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Emmanuel N. Millán"
+EMAIL="emmanueln@gmail.com"
diff --git a/system/modules/slack-desc b/system/modules/slack-desc
new file mode 100644
index 0000000000..e89f048dba
--- /dev/null
+++ b/system/modules/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+modules: modules (dynamic modification of a user's environment)
+modules:
+modules: Each modulefile contains the information needed to configure the
+modules: shell for an application. Typically modulefiles instruct the module
+modules: command to alter or set shell environment variables such as PATH,
+modules: MANPATH, etc. Modules are useful in managing different versions of
+modules: applications. Modules can also be bundled into metamodules that will
+modules: load an entire suite of different applications.
+modules:
+modules:
+modules: http://modules.sourceforge.net/